#ifndef ENGINE
#define ENGINE
#include "mikmod.h"

#define	SCROLL_CNT	10

typedef struct
{
	UNIMOD	*module;
	char	title[64];
	int	titlesize;
	int	scroll;
	int	scroll_count;
	int	index;
	int	maxline;
	int	pattern;
	int	maxpos;
	int	playing;
	int	loaded;
	int	initialised;
	char	path[256];	
} engine_status;


int	is_playing();
void	update_pos(int pos);
void	setup_engine(void);
void	refresh(void);
void 	update_display(void);
int	load_module(int i);
int	free_module(void);
void 	tickhandler(void);

int	play(void);
int	stop(void);
int	skip_prev(void);
int	skip_next(void);
int	rew(void);
int	ff(void);

#endif